diff test/m3_bare/qemutst.sh @ 337:b00219172a42

Added cool lm3s811 qemu project
author Windel Bouwman
date Thu, 20 Feb 2014 20:04:52 +0100
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test/m3_bare/qemutst.sh	Thu Feb 20 20:04:52 2014 +0100
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -e
+
+echo "quit" | socat stdio stdio
+
+echo "Trying to run test on stellaris qemu machine"
+
+qemu-system-arm -M lm3s811evb -m 128M -nographic -kernel bare.bin \
+    -monitor unix:vm.sock,server,nowait -serial file:output.txt &
+
+sleep 1
+
+# Send quit to the monitor application
+echo "quit" | socat stdio UNIX-CONNECT:vm.sock
+
+echo "Output from terminal:"
+cat output.txt
+echo ""
+